import { OnInit } from '@angular/core';
import { MonitorsSlaInventoryMonitorService } from 'e5core-angular-services';
import { MonitorsSlaInventoryMonitorModel } from 'e5core-angular-services';
import { DatePipe } from '@angular/common';
import { MatSelectChange } from '@angular/material';
import { Observable } from 'rxjs';
export interface OptionMonth {
    value: DateRange;
    viewValue: string;
}
export interface DateRange {
    startDate: Date;
    endDate: Date;
}
export declare class MockInventoryService {
    getMockedSlaInventoryCounts(): Observable<MonitorsSlaInventoryMonitorModel>;
}
export declare class E5coreUiMonitorSlaInventoryHighchartsComponent implements OnInit {
    private monitorService;
    private datePipe;
    constructor(monitorService: MonitorsSlaInventoryMonitorService, datePipe: DatePipe);
    model: MonitorsSlaInventoryMonitorModel;
    startDate: string;
    endDate: string;
    Highcharts: any;
    chartConstructor: string;
    chartOptions: {
        chart: {
            type: string;
            events: {
                drilldown: (event: any) => void;
            };
        };
        title: {
            text: string;
            style: {
                'fontSize': string;
                'font-weight': string;
            };
        };
        xAxis: {
            categories: any[];
            title: {
                rotation: number;
            };
        };
        yAxis: {
            min: number;
            title: {
                text: string;
            };
            labels: {
                x: number;
            };
            stackLabels: {
                enabled: boolean;
                style: {
                    fontWeight: string;
                    color: string;
                };
            };
        }[];
        legend: {
            align: string;
            x: number;
            verticalAlign: string;
            y: number;
            floating: boolean;
            backgroundColor: string;
            borderColor: string;
            borderWidth: number;
            shadow: boolean;
            itemStyle: {
                fontSize: string;
                font: string;
            };
        };
        tooltip: {
            headerFormat: string;
            pointFormat: string;
        };
        plotOptions: {
            series: {
                stacking: string;
                dataLabels: {
                    enabled: boolean;
                    align: string;
                    color: string;
                };
            };
        };
        series: {
            name: string;
            color: string;
            data: any[];
        }[];
        drilldown: {
            series: any[];
        };
    };
    chartCallback: any;
    updateFlag: boolean;
    oneToOneFlag: boolean;
    runOutsideAngularFlag: boolean;
    mockInventoryService: MockInventoryService;
    isMocked: boolean;
    currentDate: Date;
    optionMonths: OptionMonth[];
    currentDateRange: DateRange;
    selectedOptionMonth: OptionMonth;
    selectedMonthViewValue: string;
    ngOnInit(): void;
    private addMonths;
    private addToOptionMonths;
    private alterSelectedMonthOption;
    reloadChart($event: MatSelectChange): void;
    private instantiateOptionMonths;
    LoadChartObject(startDate: any, endDate: any, siteGroup?: any, category1Id?: any, category2Id?: any, category3Id?: any, archive?: any, totalProperty?: any): void;
    private extractXAxis;
    private extractSeries;
    private drillDown;
    createChartOptions(): {
        chart: {
            type: string;
            events: {
                drilldown: (event: any) => void;
            };
        };
        title: {
            text: string;
            style: {
                'fontSize': string;
                'font-weight': string;
            };
        };
        xAxis: {
            categories: any[];
            title: {
                rotation: number;
            };
        };
        yAxis: {
            min: number;
            title: {
                text: string;
            };
            labels: {
                x: number;
            };
            stackLabels: {
                enabled: boolean;
                style: {
                    fontWeight: string;
                    color: string;
                };
            };
        }[];
        legend: {
            align: string;
            x: number;
            verticalAlign: string;
            y: number;
            floating: boolean;
            backgroundColor: string;
            borderColor: string;
            borderWidth: number;
            shadow: boolean;
            itemStyle: {
                fontSize: string;
                font: string;
            };
        };
        tooltip: {
            headerFormat: string;
            pointFormat: string;
        };
        plotOptions: {
            series: {
                stacking: string;
                dataLabels: {
                    enabled: boolean;
                    align: string;
                    color: string;
                };
            };
        };
        series: {
            name: string;
            color: string;
            data: any[];
        }[];
        drilldown: {
            series: any[];
        };
    };
    injectMockInformation(startDate: string, endDate: string): void;
    onNavigationCategoryClick(categoryName: any): void;
}
